Implement timeout, and add several tests.
[qemu-sanity-check.git] / test-bad-kernel
diff --git a/test-bad-kernel b/test-bad-kernel
new file mode 100755 (executable)
index 0000000..d5716d5
--- /dev/null
@@ -0,0 +1,25 @@
+#!/bin/bash
+# -*- shell-script -*-
+# test-bad-kernel
+# Copyright (C) 2013 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+./run-qemu-sanity-check --kernel=/dev/null
+r=$?
+if [ $r -ne 1 ]; then
+    echo "$0: unexpected exit code $r (expecting 1)"
+    exit 1
+fi